<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.log.rhzfZzrk.mapper.RhzfZzrkMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="rhzfZzrkResultMap" type="org.springblade.modules.log.rhzfZzrk.entity.RhzfZzrkEntity">
        <result column="id" property="id"/>
        <result column="fw_id" property="fwId"/>
        <result column="dzbm" property="dzbm"/>
        <result column="rhyz" property="rhyz"/>
        <result column="hjdz" property="hjdz"/>
        <result column="ryjbxxxlh" property="ryjbxxxlh"/>
        <result column="ry_xm" property="ryXm"/>
        <result column="ry_xb" property="ryXb"/>
        <result column="ry_mz" property="ryMz"/>
        <result column="ry_mz_dm" property="ryMzDm"/>
        <result column="ry_sfzh" property="rySfzh"/>
        <result column="ry_csrq" property="ryCsrq"/>
        <result column="ry_hzgx" property="ryHzgx"/>
        <result column="ry_zzsj" property="ryZzsj"/>
        <result column="ry_zzsy" property="ryZzsy"/>
        <result column="ry_lbdrq" property="ryLbdrq"/>
        <result column="ry_hjdlb" property="ryHjdlb"/>
        <result column="ry_zzdlb" property="ryZzdlb"/>
        <result column="ry_hyzk" property="ryHyzk"/>
        <result column="ry_hyzk_dm" property="ryHyzkDm"/>
        <result column="ry_whcd" property="ryWhcd"/>
        <result column="ry_zzmm" property="ryZzmm"/>
        <result column="ry_zzmm_dm" property="ryZzmmDm"/>
        <result column="ry_byzk" property="ryByzk"/>
        <result column="ry_byzk_dm" property="ryByzkDm"/>
        <result column="ry_dh" property="ryDh"/>
        <result column="vx" property="vx"/>
        <result column="zjxy" property="zjxy"/>
        <result column="zjxy_dm" property="zjxyDm"/>
        <result column="ry_ts_lb" property="ryTsLb"/>
        <result column="ry_ts_jtqk" property="ryTsJtqk"/>
        <result column="dw_mc" property="dwMc"/>
        <result column="dw_lb" property="dwLb"/>
        <result column="ry_whcd_dm" property="ryWhcdDm"/>
        <result column="dw_dz" property="dwDz"/>
        <result column="dw_xz" property="dwXz"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectRhzfZzrkPage" resultMap="rhzfZzrkResultMap">
        select * from log_rhzf_zzrk where is_deleted = 0
    </select>


    <select id="exportRhzfZzrk" resultType="org.springblade.modules.log.rhzfZzrk.excel.RhzfZzrkExcel">
        SELECT * FROM log_rhzf_zzrk ${ew.customSqlSegment}
    </select>

</mapper>
